Bug 684452 - Kworld ATSC 115 TV tuner card fails to work after suspend/hibernate
Kworld ATSC 115 TV tuner card fails to work after suspend/hibernate
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Linda Wang
Fedora Extras Quality Assurance
first=2.6.35 tested=3.3.7 dvb
: Reopened
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-03-12 12:50 EST by Andre Robatino
Modified: 2015-11-03 23:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-10 09:57:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after suspend showing errors when trying to use TV tuner card (60.04 KB, text/plain)
2011-03-12 12:50 EST, Andre Robatino
no flags Details

  None (edit)
Description Andre Robatino 2011-03-12 12:50:54 EST
Created attachment 483920 [details]
dmesg output after suspend showing errors when trying to use TV tuner card

Description of problem:
I have a Kworld ATSC115 TV tuner card which uses the dvb-fe-nxt2004.fw firmware. After resuming from either suspend or hibernate, the card no longer functions until a reboot.

Version-Release number of selected component (if applicable):
kernel-2.6.35.11-83.fc14.x86_64

How reproducible:
always
Comment 1 Andre Robatino 2011-03-12 12:58:15 EST
Here is the console output when attempting to use the card after a suspend.

[andre@compaq-pc ~]$ mplayer -framedrop -stop-xscreensaver dvb://WFXT25
MPlayer SVN-r31628-4.4.4 (C) 2000-2010 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing dvb://WFXT25.
dvb_tune Freq: 757787800
dvb_streaming_read, attempt N. 6 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 5 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 4 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 3 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 2 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 1 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, return 0 bytes


Exiting... (End of file)
[andre@compaq-pc ~]$

The first time I attempt to use the card, the following output is appended to dmesg:

[ 1520.650025] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[ 1520.779021] nxt200x: Error writing multireg register 0x08
[ 1520.789020] nxt200x: Error writing multireg register 0x08
[ 1520.827020] nxt200x: Error writing multireg register 0x80
[ 1520.845020] nxt200x: Error writing multireg register 0x08
[ 1520.863020] nxt200x: Error writing multireg register 0x08
[ 1520.881018] nxt200x: Error writing multireg register 0x80
[ 1520.891021] nxt200x: Error writing multireg register 0x81
[ 1520.901020] nxt200x: Error writing multireg register 0x82
[ 1520.919020] nxt200x: Error writing multireg register 0x88
[ 1520.937023] nxt200x: Error writing multireg register 0x80
[ 1521.223027] nxt200x: Timeout waiting for nxt2004 to init.
[ 1522.211027] nxt200x: Timeout waiting for nxt2004 to init.
[ 1523.238036] nxt200x: Timeout waiting for nxt2004 to init.

Each attempt after that, one additional line like the following appears:

[ 1601.324026] nxt200x: Timeout waiting for nxt2004 to init.
Comment 3 Andre Robatino 2011-06-03 03:49:42 EDT
Same with F15 after suspend:

[andre@compaq-pc ~]$ mplayer -framedrop -stop-xscreensaver dvb://WSBK38
MPlayer SVN-r33251-4.6.0 (C) 2000-2011 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing dvb://WSBK38.
dvb_tune Freq: 757787800
dvb_streaming_read, attempt N. 6 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 5 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 4 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 3 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 2 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 1 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, return 0 bytes
dvb_streaming_read, attempt N. 6 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 5 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 4 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 3 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 2 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, attempt N. 1 failed with errno 0 when reading 2048 bytes
dvb_streaming_read, return 0 bytes


Exiting... (End of file)
[andre@compaq-pc ~]$

The following lines were appended to dmesg when attempting to use the card for the first time after suspend:

[198154.617029] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[198154.752025] nxt200x: Error writing multireg register 0x08
[198154.762020] nxt200x: Error writing multireg register 0x08
[198154.801024] nxt200x: Error writing multireg register 0x80
[198154.819019] nxt200x: Error writing multireg register 0x08
[198154.837028] nxt200x: Error writing multireg register 0x08
[198154.855026] nxt200x: Error writing multireg register 0x80
[198154.865020] nxt200x: Error writing multireg register 0x81
[198154.875020] nxt200x: Error writing multireg register 0x82
[198154.893021] nxt200x: Error writing multireg register 0x88
[198154.912019] nxt200x: Error writing multireg register 0x80
[198155.195027] nxt200x: Timeout waiting for nxt2004 to init.
[198156.226026] nxt200x: Timeout waiting for nxt2004 to init.

This is with kernel-2.6.38.6-27.fc15.x86_64. The Smolt URL is

http://www.smolts.org/client/show/pub_bed58531-672c-4452-b3ee-392a3ff73a2d
Comment 4 Josh Boyer 2012-03-28 14:00:50 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.
Comment 5 Josh Boyer 2012-06-04 13:48:44 EDT
Andre, is this still happening with the 2.6.43/3.3 F15/F16 kernel updates?
Comment 6 Andre Robatino 2012-06-04 14:08:11 EDT
I'm on F17 now with the 3.3.7-1.fc17.x86_64 kernel. If I run the above command after resuming from suspend, I see the following lines appended to dmesg, so yes, it still appears to be broken. (Note that I no longer subscribe to cable, so I'm not actually using the card any more. However, these messages only appear if I run the command after a suspend.)

[172933.854023] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[172933.983024] nxt200x: Error writing multireg register 0x08
[172933.993020] nxt200x: Error writing multireg register 0x08
[172934.034024] nxt200x: Error writing multireg register 0x80
[172934.052019] nxt200x: Error writing multireg register 0x08
[172934.070019] nxt200x: Error writing multireg register 0x08
[172934.088019] nxt200x: Error writing multireg register 0x80
[172934.098019] nxt200x: Error writing multireg register 0x81
[172934.108021] nxt200x: Error writing multireg register 0x82
[172934.126020] nxt200x: Error writing multireg register 0x88
[172934.144019] nxt200x: Error writing multireg register 0x80
[172934.432025] nxt200x: Timeout waiting for nxt2004 to init.
[172935.425026] nxt200x: Timeout waiting for nxt2004 to init.
[172936.405026] nxt200x: Timeout waiting for nxt2004 to init.
[172937.393026] nxt200x: Timeout waiting for nxt2004 to init.
[172938.393025] nxt200x: Timeout waiting for nxt2004 to init.
[172939.379050] nxt200x: Timeout waiting for nxt2004 to init.
[172940.356023] nxt200x: Timeout waiting for nxt2004 to init.
[172941.355023] nxt200x: Timeout waiting for nxt2004 to init.
[172942.345025] nxt200x: Timeout waiting for nxt2004 to init.
[172943.342022] nxt200x: Timeout waiting for nxt2004 to init.
[172944.317025] nxt200x: Timeout waiting for nxt2004 to init.
[172945.308023] nxt200x: Timeout waiting for nxt2004 to init.
[172946.296024] nxt200x: Timeout waiting for nxt2004 to init.
[172947.288037] nxt200x: Timeout waiting for nxt2004 to init.
[172948.279023] nxt200x: Timeout waiting for nxt2004 to init.
[172949.270027] nxt200x: Timeout waiting for nxt2004 to init.
[172950.265024] nxt200x: Timeout waiting for nxt2004 to init.
[172951.257029] nxt200x: Timeout waiting for nxt2004 to init.
[172952.254038] nxt200x: Timeout waiting for nxt2004 to init.
[172953.305038] nxt200x: Timeout waiting for nxt2004 to init.
[172954.281027] nxt200x: Timeout waiting for nxt2004 to init.
[172955.276030] nxt200x: Timeout waiting for nxt2004 to init.
[172956.251026] nxt200x: Timeout waiting for nxt2004 to init.
[172957.250032] nxt200x: Timeout waiting for nxt2004 to init.
[172958.230023] nxt200x: Timeout waiting for nxt2004 to init.
[172959.225024] nxt200x: Timeout waiting for nxt2004 to init.
[172960.217023] nxt200x: Timeout waiting for nxt2004 to init.
[172961.210023] nxt200x: Timeout waiting for nxt2004 to init.
[172962.208036] nxt200x: Timeout waiting for nxt2004 to init.
[172963.251023] nxt200x: Timeout waiting for nxt2004 to init.
Comment 7 Justin M. Forbes 2012-12-07 10:23:41 EST
Are you still seeing this with 3.6.9 kernels?
Comment 8 Andre Robatino 2012-12-07 10:54:07 EST
With 3.6.9-2.fc17.x86_64, see the following in dmesg after a suspend, so same as before. No messages appear if I do the same command before the suspend.

[81901.742022] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[81901.871022] nxt200x: Error writing multireg register 0x08
[81901.881020] nxt200x: Error writing multireg register 0x08
[81901.919013] nxt200x: Error writing multireg register 0x80
[81901.937020] nxt200x: Error writing multireg register 0x08
[81901.955021] nxt200x: Error writing multireg register 0x08
[81901.973029] nxt200x: Error writing multireg register 0x80
[81901.983012] nxt200x: Error writing multireg register 0x81
[81901.993012] nxt200x: Error writing multireg register 0x82
[81902.011013] nxt200x: Error writing multireg register 0x88
[81902.029021] nxt200x: Error writing multireg register 0x80
[81902.312016] nxt200x: Timeout waiting for nxt2004 to init.
[81903.304028] nxt200x: Timeout waiting for nxt2004 to init.
[81904.292026] nxt200x: Timeout waiting for nxt2004 to init.
[81905.283027] nxt200x: Timeout waiting for nxt2004 to init.
[81906.272013] nxt200x: Timeout waiting for nxt2004 to init.
[81907.260030] nxt200x: Timeout waiting for nxt2004 to init.
[81908.248033] nxt200x: Timeout waiting for nxt2004 to init.
[81909.238024] nxt200x: Timeout waiting for nxt2004 to init.
[81910.226031] nxt200x: Timeout waiting for nxt2004 to init.
[81911.218027] nxt200x: Timeout waiting for nxt2004 to init.
[81912.207024] nxt200x: Timeout waiting for nxt2004 to init.
[81913.205022] nxt200x: Timeout waiting for nxt2004 to init.
[81914.193022] nxt200x: Timeout waiting for nxt2004 to init.
[81915.181023] nxt200x: Timeout waiting for nxt2004 to init.
[81916.169025] nxt200x: Timeout waiting for nxt2004 to init.
[81917.157022] nxt200x: Timeout waiting for nxt2004 to init.
[81918.145023] nxt200x: Timeout waiting for nxt2004 to init.
[81919.133024] nxt200x: Timeout waiting for nxt2004 to init.
[81920.122025] nxt200x: Timeout waiting for nxt2004 to init.
[81921.110023] nxt200x: Timeout waiting for nxt2004 to init.
[81922.099024] nxt200x: Timeout waiting for nxt2004 to init.
[81923.087024] nxt200x: Timeout waiting for nxt2004 to init.
[81924.075033] nxt200x: Timeout waiting for nxt2004 to init.
[81925.064024] nxt200x: Timeout waiting for nxt2004 to init.
[81926.052023] nxt200x: Timeout waiting for nxt2004 to init.
[81927.040020] nxt200x: Timeout waiting for nxt2004 to init.
[81928.029023] nxt200x: Timeout waiting for nxt2004 to init.
[81929.018024] nxt200x: Timeout waiting for nxt2004 to init.
[81930.008024] nxt200x: Timeout waiting for nxt2004 to init.
[81930.998022] nxt200x: Timeout waiting for nxt2004 to init.
Comment 9 Josh Boyer 2013-03-14 13:32:21 EDT
Are you still seeing this with the 3.8.2 kernel in updates-testing?
Comment 10 Andre Robatino 2013-03-14 13:43:35 EDT
On F18 now with kernel-3.8.2-206.fc18.x86_64. After suspend, still see the same dmesg output as in comment 8.
Comment 12 Justin M. Forbes 2013-10-18 16:59:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 13 Andre Robatino 2013-10-18 23:15:29 EDT
I am now on F19 with the 3.11.4-201.fc19.x86_64 kernel. Same as before - if I run the above command before suspend, there is no dmesg output, but if I run it after suspend, I get the additional output

[416375.907086] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[416376.036023] nxt200x: Error writing multireg register 0x08
[416376.046020] nxt200x: Error writing multireg register 0x08
[416376.084024] nxt200x: Error writing multireg register 0x80
[416376.102021] nxt200x: Error writing multireg register 0x08
[416376.120021] nxt200x: Error writing multireg register 0x08
[416376.138021] nxt200x: Error writing multireg register 0x80
[416376.148020] nxt200x: Error writing multireg register 0x81
[416376.158023] nxt200x: Error writing multireg register 0x82
[416376.176020] nxt200x: Error writing multireg register 0x88
[416376.198666] nxt200x: Error writing multireg register 0x80
[416376.482024] nxt200x: Timeout waiting for nxt2004 to init.
[416377.472021] nxt200x: Timeout waiting for nxt2004 to init.
[416378.471022] nxt200x: Timeout waiting for nxt2004 to init.
[416379.466024] nxt200x: Timeout waiting for nxt2004 to init.
[416380.463047] nxt200x: Timeout waiting for nxt2004 to init.
[416381.517025] nxt200x: Timeout waiting for nxt2004 to init.
[416382.515025] nxt200x: Timeout waiting for nxt2004 to init.
[416383.573021] nxt200x: Timeout waiting for nxt2004 to init.
[416384.580027] nxt200x: Timeout waiting for nxt2004 to init.
[416385.638036] nxt200x: Timeout waiting for nxt2004 to init.
[416386.685068] nxt200x: Timeout waiting for nxt2004 to init.
[416387.675030] nxt200x: Timeout waiting for nxt2004 to init.
[416388.669024] nxt200x: Timeout waiting for nxt2004 to init.
[416389.657024] nxt200x: Timeout waiting for nxt2004 to init.
[416390.647023] nxt200x: Timeout waiting for nxt2004 to init.
[416391.647021] nxt200x: Timeout waiting for nxt2004 to init.
[416392.641024] nxt200x: Timeout waiting for nxt2004 to init.
[416393.635023] nxt200x: Timeout waiting for nxt2004 to init.
[416394.635024] nxt200x: Timeout waiting for nxt2004 to init.
[416395.631022] nxt200x: Timeout waiting for nxt2004 to init.
[416396.623024] nxt200x: Timeout waiting for nxt2004 to init.
[416397.621024] nxt200x: Timeout waiting for nxt2004 to init.
[416398.615022] nxt200x: Timeout waiting for nxt2004 to init.
[416399.609021] nxt200x: Timeout waiting for nxt2004 to init.
[416400.603024] nxt200x: Timeout waiting for nxt2004 to init.
[416401.597022] nxt200x: Timeout waiting for nxt2004 to init.
[416402.591024] nxt200x: Timeout waiting for nxt2004 to init.
[416403.600021] nxt200x: Timeout waiting for nxt2004 to init.
[416404.581022] nxt200x: Timeout waiting for nxt2004 to init.
[416405.575024] nxt200x: Timeout waiting for nxt2004 to init.
Comment 14 Justin M. Forbes 2014-01-03 17:04:13 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 15 Andre Robatino 2014-01-03 17:15:22 EST
Same as before with F20 and kernel-3.12.6-300.fc20.x86_64.
Comment 16 Justin M. Forbes 2014-02-24 08:52:11 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 17 Andre Robatino 2014-02-25 03:25:18 EST
Running kernel-3.13.4-200.fc20.x86_64, if I run the above command before suspend, the additional dmesg output is

[  477.768027] nxt200x: Timeout waiting for nxt2004 to init.
[  478.761025] nxt200x: Timeout waiting for nxt2004 to init.
[  479.736025] nxt200x: Timeout waiting for nxt2004 to init.
[  480.729025] nxt200x: Timeout waiting for nxt2004 to init.
[  481.718027] nxt200x: Timeout waiting for nxt2004 to init.
[  482.706034] nxt200x: Timeout waiting for nxt2004 to init.
[  483.702027] nxt200x: Timeout waiting for nxt2004 to init.
[  484.695050] nxt200x: Timeout waiting for nxt2004 to init.
[  485.671023] nxt200x: Timeout waiting for nxt2004 to init.
[  486.664025] nxt200x: Timeout waiting for nxt2004 to init.
[  487.652025] nxt200x: Timeout waiting for nxt2004 to init.
[  488.641023] nxt200x: Timeout waiting for nxt2004 to init.
[  489.630025] nxt200x: Timeout waiting for nxt2004 to init.
[  490.620025] nxt200x: Timeout waiting for nxt2004 to init.
[  491.609028] nxt200x: Timeout waiting for nxt2004 to init.
[  492.597024] nxt200x: Timeout waiting for nxt2004 to init.
[  493.585021] nxt200x: Timeout waiting for nxt2004 to init.
[  494.573044] nxt200x: Timeout waiting for nxt2004 to init.
[  495.561023] nxt200x: Timeout waiting for nxt2004 to init.
[  496.550026] nxt200x: Timeout waiting for nxt2004 to init.
[  497.540047] nxt200x: Timeout waiting for nxt2004 to init.
[  498.528023] nxt200x: Timeout waiting for nxt2004 to init.
[  499.516026] nxt200x: Timeout waiting for nxt2004 to init.
[  500.504021] nxt200x: Timeout waiting for nxt2004 to init.
[  501.494026] nxt200x: Timeout waiting for nxt2004 to init.
[  502.483031] nxt200x: Timeout waiting for nxt2004 to init.
[  503.473035] nxt200x: Timeout waiting for nxt2004 to init.
[  504.466026] nxt200x: Timeout waiting for nxt2004 to init.
[  505.457025] nxt200x: Timeout waiting for nxt2004 to init.
[  506.448024] nxt200x: Timeout waiting for nxt2004 to init.
[  507.442024] nxt200x: Timeout waiting for nxt2004 to init.

If I run the same command after suspend, the additional dmesg output is

[  641.826029] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[  641.956019] nxt200x: Error writing multireg register 0x08
[  641.966014] nxt200x: Error writing multireg register 0x08
[  642.004016] nxt200x: Error writing multireg register 0x80
[  642.022016] nxt200x: Error writing multireg register 0x08
[  642.040016] nxt200x: Error writing multireg register 0x08
[  642.058018] nxt200x: Error writing multireg register 0x80
[  642.068021] nxt200x: Error writing multireg register 0x81
[  642.078022] nxt200x: Error writing multireg register 0x82
[  642.096023] nxt200x: Error writing multireg register 0x88
[  642.114022] nxt200x: Error writing multireg register 0x80
[  642.400045] nxt200x: Timeout waiting for nxt2004 to init.
[  643.400026] nxt200x: Timeout waiting for nxt2004 to init.
[  644.376023] nxt200x: Timeout waiting for nxt2004 to init.
[  645.364025] nxt200x: Timeout waiting for nxt2004 to init.
[  646.358023] nxt200x: Timeout waiting for nxt2004 to init.
[  647.346025] nxt200x: Timeout waiting for nxt2004 to init.
[  648.346026] nxt200x: Timeout waiting for nxt2004 to init.
[  649.332025] nxt200x: Timeout waiting for nxt2004 to init.
[  650.372023] nxt200x: Timeout waiting for nxt2004 to init.
[  651.363027] nxt200x: Timeout waiting for nxt2004 to init.
[  652.357023] nxt200x: Timeout waiting for nxt2004 to init.
[  653.335025] nxt200x: Timeout waiting for nxt2004 to init.
[  654.323025] nxt200x: Timeout waiting for nxt2004 to init.
[  655.311025] nxt200x: Timeout waiting for nxt2004 to init.
[  656.299025] nxt200x: Timeout waiting for nxt2004 to init.
[  657.287049] nxt200x: Timeout waiting for nxt2004 to init.
[  658.278020] nxt200x: Timeout waiting for nxt2004 to init.
[  659.270025] nxt200x: Timeout waiting for nxt2004 to init.
[  660.258025] nxt200x: Timeout waiting for nxt2004 to init.
[  661.246022] nxt200x: Timeout waiting for nxt2004 to init.
[  662.234025] nxt200x: Timeout waiting for nxt2004 to init.
[  663.222023] nxt200x: Timeout waiting for nxt2004 to init.
[  664.216021] nxt200x: Timeout waiting for nxt2004 to init.
[  665.191034] nxt200x: Timeout waiting for nxt2004 to init.
[  666.179040] nxt200x: Timeout waiting for nxt2004 to init.
[  667.167023] nxt200x: Timeout waiting for nxt2004 to init.
[  668.155041] nxt200x: Timeout waiting for nxt2004 to init.
[  669.143025] nxt200x: Timeout waiting for nxt2004 to init.
[  670.131025] nxt200x: Timeout waiting for nxt2004 to init.
[  671.126027] nxt200x: Timeout waiting for nxt2004 to init.
Comment 18 Justin M. Forbes 2014-05-21 15:37:20 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 19 Andre Robatino 2014-05-21 15:46:00 EDT
Running kernel-3.14.4-200.fc20.x86_64, if I run the above command before suspend, there is no additional dmesg output. If I run it after suspend, the additional output is

[465637.010029] nxt200x: Timeout waiting for nxt200x to stop. This is ok after firmware upload.
[465637.139027] nxt200x: Error writing multireg register 0x08
[465637.149028] nxt200x: Error writing multireg register 0x08
[465637.191145] nxt200x: Error writing multireg register 0x80
[465637.209053] nxt200x: Error writing multireg register 0x08
[465637.227052] nxt200x: Error writing multireg register 0x08
[465637.245034] nxt200x: Error writing multireg register 0x80
[465637.255040] nxt200x: Error writing multireg register 0x81
[465637.265033] nxt200x: Error writing multireg register 0x82
[465637.283144] nxt200x: Error writing multireg register 0x88
[465637.301021] nxt200x: Error writing multireg register 0x80
[465637.588030] nxt200x: Timeout waiting for nxt2004 to init.
[465638.591020] nxt200x: Timeout waiting for nxt2004 to init.
[465639.598022] nxt200x: Timeout waiting for nxt2004 to init.
[465640.608030] nxt200x: Timeout waiting for nxt2004 to init.
[465641.609035] nxt200x: Timeout waiting for nxt2004 to init.
[465642.609561] nxt200x: Timeout waiting for nxt2004 to init.
[465643.613036] nxt200x: Timeout waiting for nxt2004 to init.
[465644.614031] nxt200x: Timeout waiting for nxt2004 to init.
[465645.610020] nxt200x: Timeout waiting for nxt2004 to init.
[465646.610030] nxt200x: Timeout waiting for nxt2004 to init.
[465647.611042] nxt200x: Timeout waiting for nxt2004 to init.
[465648.602034] nxt200x: Timeout waiting for nxt2004 to init.
[465649.601043] nxt200x: Timeout waiting for nxt2004 to init.
[465650.593024] nxt200x: Timeout waiting for nxt2004 to init.
[465651.590082] nxt200x: Timeout waiting for nxt2004 to init.
[465652.593023] nxt200x: Timeout waiting for nxt2004 to init.
[465653.599720] nxt200x: Timeout waiting for nxt2004 to init.
[465654.602034] nxt200x: Timeout waiting for nxt2004 to init.
[465655.593057] nxt200x: Timeout waiting for nxt2004 to init.
[465656.590062] nxt200x: Timeout waiting for nxt2004 to init.
[465657.587028] nxt200x: Timeout waiting for nxt2004 to init.
[465658.583029] nxt200x: Timeout waiting for nxt2004 to init.
[465659.580036] nxt200x: Timeout waiting for nxt2004 to init.
[465660.574035] nxt200x: Timeout waiting for nxt2004 to init.
[465661.567031] nxt200x: Timeout waiting for nxt2004 to init.
[465662.570031] nxt200x: Timeout waiting for nxt2004 to init.
[465663.557029] nxt200x: Timeout waiting for nxt2004 to init.
[465664.541032] nxt200x: Timeout waiting for nxt2004 to init.
[465665.535028] nxt200x: Timeout waiting for nxt2004 to init.
[465666.534045] nxt200x: Timeout waiting for nxt2004 to init.
Comment 20 Justin M. Forbes 2014-11-13 10:55:33 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 21 Justin M. Forbes 2014-12-10 09:57:05 EST
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 22 Jean-François Fortin Tam 2015-09-10 22:35:11 EDT
I can confirm that this bug still occurs with Fedora 22 and kernel 4.1.6. This bug has never changed since I reported it as far back as 2009: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/349537

The only thing that has changed is that I am now unable to do the complete dance:

sudo rmmod saa7134_dvb
sudo rmmod saa7134_alsa
sudo rmmod saa7134
sudo modprobe saa7134

Because 

# rmmod saa7134_dvb
# rmmod saa7134_alsa
rmmod: ERROR: Module saa7134_alsa is in use
# rmmod saa7134
rmmod: ERROR: Module saa7134 is in use by: saa7134_alsa

There seems to be some sort of circular dependency of kernel modules going on.
Anyway, after a rmmod and modprobe of the saa7134_dvb module it partially works, but mplayer is unable to play smoothly like it does on a fresh start, possibly because the audio lags somehow.
Comment 23 Justin M. Forbes 2015-10-20 15:20:03 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 24 Jean-François Fortin Tam 2015-11-03 23:57:06 EST
It has been true for over six years and remains true to this day with the very latest versions of everything.

Note You need to log in before you can comment on or make changes to this bug.